Delete invoice attachment

View as MarkdownOpen in Claude
Deletes an invoice that's attached to a file.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

idInvoiceintegerRequired
Invoice ID
filenamestringRequired

The filename in Payabli. Filename is zipName in response to a request to /api/Invoice/\{idInvoice}. Here, the filename is `0_Bill.pdf“. “DocumentsRef”: { “zipfile”: “inva_269.zip”, “filelist”: [ { “originalName”: “Bill.pdf”, “zipName”: “0_Bill.pdf”, “descriptor”: null } ] }

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

responseDatastring or integer

If isSuccess = true, this contains the identifier of the invoice. If isSuccess = false, this contains the reason for the failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

pageidentifierstring or null
Auxiliary validation used internally by payment pages and components.
roomIdlong

Field not in use on this endpoint. It always returns 0.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error